$(function () {
    let $submitButton = $('#inputGroupSubmit'),
        $departments = $('#departmentSelect'),
        $faculties = $('#facultySelect'),
        $jobs = $('#jobPositionSelect');


    $faculties.change(function () {
        $departments.turnOff().empty();

        let faculty = $faculties.find('option:selected').val();
        if (!faculty) return;

        $.postJSON(g_URLdir + 'handler/settings/getDepartmentsList', {facultyID: faculty})
            .done(list => {
                list.forEach(({ID, Name}) =>
                    $departments.append(`<option value="${ID}">${Name || 'Служебная кафедра'}</option>`));

                $departments.turnOn();
            });
    });

    $submitButton.click(function () {
        $('#inputGroupSubmit').turnOff();

        $.postJSON(g_URLdir + 'handler/settings/editProfile', {
            'firstName':     $('#firstName').val(),
            'secondName':    $('#secondName').val(),
            'lastName':      $('#lastName').val(),
            'jobPositionID': $jobs.find('option:selected').val(),
            'departmentID':  $departments.find('option:selected').val(),
        }).always(_ => $submitButton.turnOn())
            .done(() => Popup.success('Профиль успешно изменён!'))
            .fail(() => Popup.error('Произошла ошибка'))
    });
});
